%define php5_sapi apache2-mod_php
%define so_file  mod_php5.so
%def_with interbase

Name: apache2-mod_php5
Version: %php5_version
Release: %php5_release.6

Summary: The PHP5 HTML-embedded scripting language for use with Apache2
Group: System/Servers
License: PHP
Url: http://www.php.net/
Packager: Konstantin Baev <kipruss@altlinux.org>

Prereq: php5 = %php5_version-%php5_release
Prereq: apache2-httpd-prefork >= %apache_version-%apache_release
Requires(post): apache2-httpd-prefork >= %apache_version-%apache_release
Requires: apache2

Conflicts: apache2-mod_php
Provides: php-engine = %php5_version-%php5_release

Source1: %name-php.conf
Source2: %name.service
Source3: php.ini
Source4: %name-browscap.ini
Source5: php.control

Patch0: php-5.2.1-sapi-mod_php.patch
Patch1: php-alt-namespace.patch

BuildRequires(pre): rpm-build-php5 apache2-devel
BuildRequires: php5-devel = %php5_version-%php5_release

# Automatically added by buildreq on Fri Jul 01 2005
BuildRequires: apache2-devel libmm-devel libxml2-devel zlib-devel libexpat-devel libpcre-devel

%if_with interbase
BuildRequires: firebird-devel
%endif

%description
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The mod_php module enables the Apache web server to
understand and process the embedded PHP language in web pages.

This package contains PHP version 5. You'll also need to install the
Apache2 web server.

%prep
%setup -T -c
%php5_sapi_prepare apache2handler
%patch0 -p1 -b .fix
%patch1 -p1 -b .fix1

%build
rm -f internal_functions.c

%apache_apxs \
  $(php-config --includes) \
  $(php-config --ldflags) %php5_optflags \
  $(php-config --libs) \
  -I. -I./include -I/usr/include/apache -Iext/date/lib -I/usr/include/libxml2 \
  -DUSE_TRANSFER_TABLES=1 \
  -lphp-%_php5_version \
  -o %so_file -c *.c 

%install
%__mkdir_p \
	%buildroot/%apache_addonconfdir \
	%buildroot/%apache_moduledir \
	%buildroot/%php5_servicedir/%php5_sapi \
	%buildroot/%php5_sysconfdir/%php5_sapi/php.d \
	%buildroot/%php5_sysconfdir/%php5_sapi/control.d \
	%buildroot/%_sysconfdir/control.d/facilities

%__install -m 644 %SOURCE1 %buildroot/%apache_addonconfdir/A.%name.conf
%__install -m 700 %SOURCE2 %buildroot/%php5_servicedir/%php5_sapi/condrestart
%__install -m 644 %SOURCE3 %buildroot/%php5_sysconfdir/%php5_sapi/php.ini
%__install -m 644 %SOURCE4 %buildroot/%php5_sysconfdir/%php5_sapi/browscap.ini
%__install -m 755 %SOURCE5 %buildroot/%_sysconfdir/control.d/facilities/%name

%__cp .libs/%so_file %buildroot/%apache_moduledir

for f in \
	%buildroot/%apache_addonconfdir/A.%name.conf \
	%buildroot/%php5_sysconfdir/%php5_sapi/php.ini \
	%buildroot/%_sysconfdir/control.d/facilities/%name
do
  %__subst 's,@SAPI@,%php5_sapi,g' "$f"
  %__subst 's,@PHP_VERSION@,%_php5_version,g' "$f"
  %__subst 's,@PHP_LIBDIR@,%_libdir/php,g' "$f"
  %__subst 's,@HTDOCSDIR@,%apache_htdocsdir,g' "$f"
  %__subst 's,@PHP_BROWSCAP@,%php5_sysconfdir/%php5_sapi/browscap.ini,g' "$f"
  %__subst 's,@PHP_UPLOADDIR@,%_spooldir/%a_name/uploads,g' "$f"
  %__subst 's,@PHP_SESSIONDIR@,%_spooldir/%a_name/sessions,g' "$f"
  %__subst 's,@LIBDIR@,%_libdir,g' "$f"
done

%post
%php5_sapi_postin
%php5_servicedir/%php5_sapi/condrestart

%preun
%php5_sapi_preun

%files
%_sysconfdir/control.d/facilities/*
%config(noreplace) %apache_addonconfdir/A.%name.conf
%dir %php5_sysconfdir/%php5_sapi
%dir %php5_sysconfdir/%php5_sapi/php.d
%dir %php5_sysconfdir/%php5_sapi/control.d
%config(noreplace) %php5_sysconfdir/%php5_sapi/php.ini
%config(noreplace) %php5_sysconfdir/%php5_sapi/browscap.ini
%php5_servicedir/%php5_sapi
%apache_moduledir/%so_file
%doc CREDITS

%changelog
* Wed Apr 29 2009 Konstantin Baev <kipruss@altlinux.org> 5.2.5-alt1.M41.3.6
- Fix building bug.

* Wed Apr 29 2009 Konstantin Baev <kipruss@altlinux.org> 5.2.5-alt1.M41.3.1
- Use both values: php_value and php5_value.

* Fri Apr 03 2009 Grigory Batalov <bga@altlinux.ru> 5.2.5-alt1.M41.3
- Rebuild with recent php.

* Tue Jan 20 2009 Grigory Batalov <bga@altlinux.ru> 5.2.5-alt1.M41.2
- Rebuild with recent php.

* Sat Mar 29 2008 L.A. Kostis <lakostis@altlinux.ru> 5.2.5-alt1
- Rebuild with new php(5.2.5).
- Strict apache2 requires (we must use -prefork flavour due missing MP
  support) Fixes ALT #11464.
- Update browscap.ini from cvs.mozilla-russia.org (2008-03-25 snapshot).

* Sun Jun 03 2007 L.A. Kostis <lakostis@altlinux.ru> 5.2.3-alt1
- rebuild with new php5 (5.2.3).
- update browscap.ini to 3945 version.

* Mon May 14 2007 L.A. Kostis <lakostis@altlinux.ru> 5.2.2-alt1
- rebuild with new php (5.2.2).
- fix Summary (ALT #11746).
- update browscap.ini to 3938 version.

* Mon Apr 09 2007 Konstantin A. Lepikhov <lakostis@altlinux.org> 5.2.1-alt2.2
- Rebuild due libmm soname changes.

* Thu Mar 08 2007 L.A. Kostis <lakostis@altlinux.ru> 5.2.1-alt1.2
- fix sessions/uploads dir
- fix control:
  + remove suhosin from public/relaxed
  + fix typo in DOC_ROOT
  + enable short_open_tag for public/relaxed

* Wed Mar 07 2007 L.A. Kostis <lakostis@altlinux.ru> 5.2.1-alt1.1
- fix sapi ini_override patch.

* Sun Mar 04 2007 L.A. Kostis <lakostis@altlinux.ru> 5.2.1-alt1
- new version (5.2.1).
- fix build with gear.
- update buildrequires.

* Wed Nov 08 2006 Alexey Gladkov <legion@altlinux.ru> 5.2.0-alt1
- new version (5.2.0)
- suhosin patch changes.

* Thu Oct 19 2006 Alexey Gladkov <legion@altlinux.ru> 5.1.6-alt1
- new version (5.1.6)

* Mon Aug 21 2006 Alexey Gladkov <legion@altlinux.ru> 5.1.5-alt1
- new version (5.1.5)
- config directory bugfix.

* Mon Aug 14 2006 Alexey Gladkov <legion@altlinux.ru> 5.1.4-alt1
- new version (5.1.4)
- First build for ALT Linux.
